[ARVADOS] updated: 735ffe841b0142d663c5f40b40ec55db2191b2b0

Git user git at public.curoverse.com
Sat Jan 14 09:58:21 EST 2017


Summary of changes:
 build/run-build-packages.sh |  2 +-
 build/run-library.sh        | 15 +++++++++++++++
 2 files changed, 16 insertions(+), 1 deletion(-)

       via  735ffe841b0142d663c5f40b40ec55db2191b2b0 (commit)
       via  6a4e648c4818c2c53fa06984b433cd8dfbf1884f (commit)
      from  3794edbc25662a4df161933cac2e91bfbb3e163c (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.


commit 735ffe841b0142d663c5f40b40ec55db2191b2b0
Author: Ward Vandewege <ward at curoverse.com>
Date:   Sat Jan 14 09:57:35 2017 -0500

    If the fpm run fails, always print out the failed command so that we
    don't have to run the build scripts in debug mode all the time.
    
    refs #10858

diff --git a/build/run-library.sh b/build/run-library.sh
index 1d7fda6..677c645 100755
--- a/build/run-library.sh
+++ b/build/run-library.sh
@@ -442,6 +442,11 @@ fpm_build () {
   FPM_EXIT_CODE=$?
 
   fpm_verify $FPM_EXIT_CODE $FPM_RESULTS
+
+  # if something went wrong and debug is off, print out the fpm command that errored
+  if [[ 0 -ne $? ]] && [[ "$STDOUT_IF_DEBUG" == "/dev/null" ]]; then
+    echo -e "\n${COMMAND_ARR[@]}\n"
+  fi
 }
 
 # verify build results
@@ -457,14 +462,19 @@ fpm_verify () {
 
   if [[ "$FPM_PACKAGE_NAME" == "" ]]; then
     EXITCODE=1
+    echo
     echo "Error: $PACKAGE: Unable to figure out package name from fpm results:"
     echo
     echo $FPM_RESULTS
     echo
+    return 1
   elif [[ "$FPM_RESULTS" =~ "File already exists" ]]; then
     echo "Package $FPM_PACKAGE_NAME exists, not rebuilding"
+    return 0
   elif [[ 0 -ne "$FPM_EXIT_CODE" ]]; then
+    EXITCODE=1
     echo "Error building package for $1:\n $FPM_RESULTS"
+    return 1
   fi
 }
 

commit 6a4e648c4818c2c53fa06984b433cd8dfbf1884f
Author: Ward Vandewege <ward at curoverse.com>
Date:   Sat Jan 14 09:56:53 2017 -0500

    Fix the shortcut that tests the need of rebuilding the arvados-src
    package.
    
    refs #10858

diff --git a/build/run-build-packages.sh b/build/run-build-packages.sh
index 245be75..e38c9a9 100755
--- a/build/run-build-packages.sh
+++ b/build/run-build-packages.sh
@@ -257,7 +257,7 @@ handle_python_package
     arvados_src_version="$(version_from_git)"
 
     cd $WORKSPACE/packages/$TARGET
-    test_package_presence arvados-src $arvados_src_version src
+    test_package_presence arvados-src $arvados_src_version src ""
 
     if [[ "$?" == "0" ]]; then
       cd "$WORKSPACE"
diff --git a/build/run-library.sh b/build/run-library.sh
index 267b641..1d7fda6 100755
--- a/build/run-library.sh
+++ b/build/run-library.sh
@@ -203,6 +203,11 @@ test_package_presence() {
         deb_architecture="all"
       fi
 
+      if [[ "$pkgtype" =~ ^(src)$ ]]; then
+        rpm_architecture="noarch"
+        deb_architecture="all"
+      fi
+
       # These packages have binary components
       if [[ "$pkgname" =~ (ruamel|ciso|pycrypto|pyyaml) ]]; then
         rpm_architecture="x86_64"

-----------------------------------------------------------------------


hooks/post-receive
-- 




More information about the arvados-commits mailing list